Rotating a face around an axis to create a solid

I'd like to create a solid by first creating a face (think of it as the profile of a cut through the solid) and then rotating the face 360 degrees around an axis to create the solid. Is this possible in OCC? (I'd think yes) What class should I look at to do this? I might be wrong, but MakePrism seems to require a non-closed path to extrude the face (plus I don't know how to create a round extrusion vector).

Any hints are appreciated.

Forum supervisor's picture

Dear Tiberiu Chelcea,
For sure it is possible.
You may use for this class BRepPrimAPI_MakeRevolution.
Besides I would suggested you to read OCCT "Modeling Algorithms User's Guide".
It has enough examples how to do simple things.
I hope it will be useful for you.
Regards

Tiberiu Chelcea's picture

Thank you for your reply. You're right, I should've read that document first -- after your reply it was pretty easy to find an example of BRepPrimAPI_MakeRevol that does what I needed.